ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
default_template_script_1_0_0 Class Reference

## Public Member Functions
| set_template_path ($theTemplatePackagePath)
| process ($PageName)
| get_placeholder_parameters ($PurePlaceHolderName)
| __construct ()
| parse ($Variable, $Value)
| add_stylesheets ()
| compile_string ($String)
| cleanup ($PageName)
| get_template ()
| set_template ($Template)

## Data Fields
| $TemplatePackagePath = false
| $TemplateParser = false

## Detailed Description

Class for manipulating objects.

Author
  Dodonov A.A.

Definition at line 26 of file default_template_script.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Додонов А.А.

Definition at line 165 of file default_template_script.php.

{
try
{
$this->TemplateParser = get_package_object( 'template_manager::base_template' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

add_stylesheets | ( |  | ) |

Function adds teplate's stylesheets.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 225 of file default_template_script.php.

{
try
{
$this->TemplateParser->add_stylesheets( $this->TemplatePackagePath );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

cleanup | ( |  | $PageName | ) |

Function clears all placeholder in the HTML code of the template.

Parameters

  $PageName | - Page name for precompilation.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 285 of file default_template_script.php.

{
try
{
$this->TemplateParser->cleanup( $this->TemplatePackagePath , $PageName );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_string | ( |  | $String | ) |

Function process string.

Parameters

  $String | - Processing string.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 255 of file default_template_script.php.

{
try
{
return( $this->TemplateParser->compile_string( $this->TemplatePackagePath , $String ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_placeholder_parameters | ( |  | $PurePlaceHolderName | ) |

Function returns real placeholder's name.

Parameters

  $PurePlaceHolderName | - Name of the placeholder.

Returns
  HTML code of the composed page.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 123 of file default_template_script.php.

{
try
{
return(
$this->TemplateParser->get_placeholder_parameters(
$this->TemplatePackagePath , $PurePlaceHolderName
)
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_template | ( |  | ) |

Function returns HTML code of the template.

Returns
  HTML code of the template.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 315 of file default_template_script.php.

{
try
{
return( $this->TemplateParser->get_template( $this->TemplatePackagePath ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

parse | ( |  | $Variable,
|  |  | $Value
| ) |  |

Function parse variable with name $Variable.

Parameters

  $Variable | - Name of the template variable.
  $Value | - Value to place in the template.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 199 of file default_template_script.php.

{
try
{
$this->TemplateParser->parse( $this->TemplatePackagePath , $Variable , $Value );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

process | ( |  | $PageName | ) |

Function precompiles template.

Parameters

  $PageName | - page name for precompilation.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file default_template_script.php.

{
try
{
$Changed = false;
$this->TemplateParser->process( $this->TemplatePackagePath , $PageName , $Changed );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_template | ( |  | $Template | ) |

Function sets HTML code of the template.

Parameters

  $Template | - Еemplate's HTML code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 345 of file default_template_script.php.

{
try
{
return( $this->TemplateParser->set_template( $Template ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_template_path | ( |  | $theTemplatePackagePath | ) |

Function sets path to template.

Parameters

  $theTemplatePackagePath | - path to the emplate's package.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 58 of file default_template_script.php.

{
try
{
$this->TemplatePackagePath = $theTemplatePackagePath;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$TemplatePackagePath = false

Path to the template's package.

Author
  Dodonov A.A.

Definition at line 38 of file default_template_script.php.

$TemplateParser = false

Template parser.

Author
  Dodonov A.A.

Definition at line 149 of file default_template_script.php.

The documentation for this class was generated from the following file:

- packages/template_manager/packages/default_template_script/default_template_script.php